{% extends "lab_10/layout/base.html" %}

{% block header %}
<div class="navbar navbar-default navbar-static-top" role="navigation">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a target="_blank" href="{% url 'lab-10:index' %}" class="navbar-brand">Home</a>
        </div>
        <div class="collapse navbar-collapse">
          {% if login %}
          <ul class="nav navbar-nav">
              <li><a href="{% url 'lab-10:dashboard' %}">Dashboard</a></li>
           </ul>
           {% endif %}
            <ul class="nav navbar-nav navbar-right">
              {% if login %}
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                        <span class="glyphicon glyphicon-user"></span> 
                        <strong>{{author}}</strong>
                        <span class="glyphicon glyphicon-chevron-down"></span>
                    </a>
                    <ul class="dropdown-menu">
                        <li>
                            <div class="navbar-login">
                                <div class="row">
                                    <div class="col-lg-4">
                                        <p class="text-center">
                                            <span class="glyphicon glyphicon-user icon-size"></span>
                                        </p>
                                    </div>
                                    <div class="col-lg-8">
                                        <p class="text-left"><strong>{{author}}</strong></p>
                                        <p class="text-left small">{{kode_identitas}}</p>
                                    </div>
                                </div>
                            </div>
                        </li>
                        <li class="divider"></li>
                        <li>
                            <div class="navbar-login navbar-login-session">
                                <div class="row">
                                    <div class="col-lg-12">
                                        <p>
                                            <a href="{% url 'lab-9:auth_logout' %}" class="btn btn-danger btn-block" onclick="return confirm('Keluar?')">
                                                Logout </a>
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </li>
                    </ul>
                </li>
                {% else %}
                    <li><a href="{% url 'lab-10:index' %}"><span class="glyphicon glyphicon-user"></span> Login</a></li>
                {% endif %}
            </ul>
        </div>
    </div>
</div>

{% endblock%}
{% block content %}
</div>
{% if user_login %}
<a href="" class="btn btn-primary btn-lg"> Logout </a>

{% else %}
<p>
    <a href="{% url 'lab-10:list_watch_later' %}" class="btn btn-primary btn-lg "> Daftar <em>Watch Later </em> </a>
</p>

{% endif %}
<br>
<!-- List Movie -->
<div class="panel panel-info">
    <div class="panel-heading">
        <h2> List Movie </h2>
    </div>
    <div class="panel-body">
        <div style="margin:20px; padding:20px; background-color:lightsteelblue; border-radius:3px;">
            <form method="" d="GET" action="{% url 'lab-10:movie_list' %}" class="form-inline">
                <label> Nama </label> <input type="text" class="form-control" name="judul" placeholder="Judul"
                                             value="{{judul}}">
                <label> Tahun </label> <input type="text" class="form-control" name="tahun" placeholder="Tahun "
                                              value="{{tahun}}">
                <input type="submit" class="btn btn-primary pull-right">
            </form>
        </div>
        <hr>
        <div class="table table-responsive">
            <table class="table table-hover" id="myTable" style="width: none;">
                <thead>
                <th> Judul</th>
                <th> Tahun</th>
                <th> Poster</th>
                <th> Detail</th>
                </thead>
            </table>
        </div>
    </div>
</div>

<!-- Jquery script -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="text/javascript">
    $(document).ready(function(e) {
        $('#myTable').DataTable( {
            "ajax": {
                "dataType" : 'json',
                "contentType": "application/json; charset=utf-8",
                "url": {% autoescape off %} {{ jsonUrlDT }} {% endautoescape%} ,
                "dataSrc":"dataku",
            },
            "columns" : [
                {"data" : "Title"},
                {"data" : "Year"},
                {
                    "data" : "Poster",
                    "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                        $(nTd).html("<img src='"+ oData.Poster +"' style='height:50%' class='img-responsive img-thumbnail'/>");
                    }
                },
                {
                    "data" : null,
                    "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                        $(nTd).html("<a href='/lab-10/movie/detail/"+ oData.imdbID +"' class='btn btn-primary'> Detail </a>");
                    }
                }
            ],
        } );
    });
</script>

{% endblock %}
